net.sourceforge.jnlp.util

## Class XDesktopEntry

- java.lang.Object
- - net.sourceforge.jnlp.util.XDesktopEntry

    public class XDesktopEntry
    extends java.lang.Object

This class builds a (freedesktop.org) desktop entry out of a `JNLPFile` . This entry can be used to install desktop shortcuts. See xdg-desktop-icon (1) and http://standards.freedesktop.org/desktop-entry-spec/latest/ for more information

### Field Summary

Fields
`static java.lang.String` `JAVA_ICON_NAME`

### Constructor Summary

Constructors
Constructor and Description
`XDesktopEntry(JNLPFile file)` Create a XDesktopEntry for the given JNLP file

### Method Summary

Methods
`void` `createDesktopShortcut()` Create a desktop shortcut for this desktop entry
`java.io.Reader` `getContentsAsReader()` Returns the contents of the `XDesktopEntry` through the `Reader` interface.
`java.lang.String` `getDesktopIconName()`
`int` `getIconSize()` Get the size of the icon (in pixels) for the desktop shortcut
`java.io.File` `getLinuxDesktopIconFile()`
`java.io.File` `getShortcutTmpFile()`
`void` `setIconSize(int size)` Set the icon size to use for the desktop shortcut

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JAVA_ICON_NAME

    public static final java.lang.String JAVA_ICON_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### XDesktopEntry

    public XDesktopEntry(JNLPFile file)

Create a XDesktopEntry for the given JNLP file

Parameters:
  `file` - a `JNLPFile` that indicates the application to launch

### Method Detail

#### getContentsAsReader

    public java.io.Reader getContentsAsReader()

Returns the contents of the `XDesktopEntry` through the `Reader` interface.

#### getIconSize

    public int getIconSize()

Get the size of the icon (in pixels) for the desktop shortcut

#### getShortcutTmpFile

    public java.io.File getShortcutTmpFile()

#### setIconSize

    public void setIconSize(int size)

Set the icon size to use for the desktop shortcut

Parameters:
  `size` - the size (in pixels) of the icon to use. Commonly used sizes are of 16, 22, 32, 48, 64 and 128

#### createDesktopShortcut

    public void createDesktopShortcut()

Create a desktop shortcut for this desktop entry

#### getDesktopIconName

    public java.lang.String getDesktopIconName()

#### getLinuxDesktopIconFile

    public java.io.File getLinuxDesktopIconFile()